VERSION 5.00
Object = "*\AftDisplay.vbp"
Object = "{3D09E003-D8FC-11D4-8E7E-000000000000}#1.2#0"; "FishFa50.ocx"
Begin VB.Form frmContainer 
   Caption         =   "frmStandard"
   ClientHeight    =   4695
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4830
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "ftAnalogTest.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4695
   ScaleWidth      =   4830
   StartUpPosition =   3  'Windows-Standard
   Begin ftDisplay.Analog anb 
      Height          =   4155
      Left            =   240
      TabIndex        =   4
      Top             =   240
      Width           =   1005
      _ExtentX        =   1773
      _ExtentY        =   7329
      Description     =   "Photozelle"
      Units           =   "Ohm"
      DisplayTypes    =   2
      LowArea         =   200
      HighArea        =   800
   End
   Begin FishFace50.FishFace ft 
      Height          =   615
      Left            =   1920
      TabIndex        =   3
      Top             =   3720
      Width           =   975
      _ExtentX        =   1720
      _ExtentY        =   1085
      AnalogScan      =   0   'False
      BreakingDistance=   6
      ControlInterval =   10
      LPTAnalog       =   0
      LPTIOADR        =   0
      LPTDelay        =   0
      PollInterval    =   10
      Slave           =   0   'False
      StopControlTime =   100
   End
   Begin ftDisplay.Analog ana 
      Height          =   1935
      Left            =   1440
      TabIndex        =   2
      Top             =   240
      Width           =   3015
      _ExtentX        =   5318
      _ExtentY        =   3413
      MinUnit         =   40
      MaxUnit         =   80
      Exchanged       =   -1  'True
      Description     =   "Raumhelligkeit"
      Units           =   " Lumen"
      HighArea        =   65
   End
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   375
      Left            =   3120
      TabIndex        =   1
      Top             =   3600
      Width           =   1335
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   375
      Left            =   3120
      TabIndex        =   0
      Top             =   4080
      Width           =   1335
   End
   Begin VB.Label lblESC 
      Caption         =   "Ende : ESC-Taste"
      Height          =   255
      Left            =   3120
      TabIndex        =   6
      Top             =   3120
      Visible         =   0   'False
      Width           =   1335
   End
   Begin VB.Label lblArea 
      Alignment       =   2  'Zentriert
      Caption         =   "Normal"
      Height          =   255
      Left            =   2520
      TabIndex        =   5
      Top             =   2280
      Width           =   735
   End
End
Attribute VB_Name = "frmContainer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------------
'
' frmContainer(ftAnalogTest.frm)                          Ulrich Mller 20.10.01
'                                                         Procida 400NT    VB6.0
' Testrahmen fr ftDisplay.Analog
'
' ------------------------------------------------------------------------------

Option Explicit

Private Sub ana_GotHigh(ByVal aktValue As Single)
  lblArea = "HIGH"
  lblArea.BackColor = vbRed
End Sub

Private Sub ana_GotLow(ByVal aktValue As Single)
  lblArea = "LOW"
  lblArea.BackColor = vbBlue
End Sub


Private Sub ana_GotNormal(ByVal aktValue As Single)
  lblArea = "normal"
  lblArea.BackColor = &H8000000F
End Sub


Private Sub cmdAction_Click()

  ana.MinUnit = 20
  ana.MaxUnit = 80
  ana.MinValue = 0
  ana.MaxValue = 1000
  ana.Exchanged = True

  ft.AnalogScan = True
  If ft.OpenInterface("COM1") = ftifehler Then
    MsgBox "InterfaceProblem " & "COM1", vbCritical + vbOKOnly, "AnalogAnzeige"
    Exit Sub
  End If
  cmdEnde.Enabled = False
  cmdAction.Enabled = False
  
  ana.EventsActivated = True
  lblESC.Visible = True
  Do
    anb.ShowValue ft.Analogs(ftiAEY)
    ana.ShowValue ft.Analogs(ftiAEY)
    ft.Pause 200
  Loop Until ft.Finish(1)
  
  ft.CloseInterface
  ana.ShowValue 0
  lblESC.Visible = False
  cmdAction.Enabled = True
  cmdEnde.Enabled = True
  cmdEnde.SetFocus
    
End Sub


Private Sub cmdEnde_Click()

  Unload Me
  
End Sub


Private Sub Form_Load()

  Me.Caption = App.ProductName

End Sub


